Bug 1268617 - [abrt] NetworkManager: get_ip_iface_identifier(): NetworkManager killed by SIGABRT
Summary: [abrt] NetworkManager: get_ip_iface_identifier(): NetworkManager killed by SI...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:52b5ad226f22b86c04867cc6259...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-03 17:25 UTC by Mikhail
Modified: 2016-04-03 17:51 UTC (History)
6 users (show)

Fixed In Version: NetworkManager-1.0.12-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-03 17:51:00 UTC


Attachments (Terms of Use)
File: backtrace (17.23 KB, text/plain)
2015-10-03 17:25 UTC, Mikhail
no flags Details
File: cgroup (208 bytes, text/plain)
2015-10-03 17:25 UTC, Mikhail
no flags Details
File: core_backtrace (8.46 KB, text/plain)
2015-10-03 17:25 UTC, Mikhail
no flags Details
File: dso_list (5.92 KB, text/plain)
2015-10-03 17:25 UTC, Mikhail
no flags Details
File: environ (187 bytes, text/plain)
2015-10-03 17:25 UTC, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-03 17:25 UTC, Mikhail
no flags Details
File: maps (28.51 KB, text/plain)
2015-10-03 17:25 UTC, Mikhail
no flags Details
File: mountinfo (3.94 KB, text/plain)
2015-10-03 17:25 UTC, Mikhail
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-03 17:25 UTC, Mikhail
no flags Details
File: open_fds (2.60 KB, text/plain)
2015-10-03 17:25 UTC, Mikhail
no flags Details
File: proc_pid_status (977 bytes, text/plain)
2015-10-03 17:25 UTC, Mikhail
no flags Details
File: var_log_messages (13.51 KB, text/plain)
2015-10-03 17:25 UTC, Mikhail
no flags Details

Description Mikhail 2015-10-03 17:25:18 UTC
Version-Release number of selected component:
NetworkManager-1.0.6-6.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: get_ip_iface_identifier
executable:     /usr/sbin/NetworkManager
global_pid:     987
kernel:         4.2.2-300.fc23.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (8 frames)
 #4 get_ip_iface_identifier at devices/nm-device.c:651
 #5 nm_device_get_ip_iface_identifier at devices/nm-device.c:675
 #6 check_and_add_ipv6ll_addr at devices/nm-device.c:4474
 #7 linklocal6_start at devices/nm-device.c:4514
 #8 addrconf6_start at devices/nm-device.c:4860
 #9 act_stage3_ip6_config_start at devices/nm-device.c:5142
 #10 nm_device_activate_stage3_ip6_start at devices/nm-device.c:5238
 #11 nm_device_activate_stage3_ip_config_start at devices/nm-device.c:5354

Comment 1 Mikhail 2015-10-03 17:25:23 UTC
Created attachment 1079637 [details]
File: backtrace

Comment 2 Mikhail 2015-10-03 17:25:24 UTC
Created attachment 1079638 [details]
File: cgroup

Comment 3 Mikhail 2015-10-03 17:25:26 UTC
Created attachment 1079639 [details]
File: core_backtrace

Comment 4 Mikhail 2015-10-03 17:25:28 UTC
Created attachment 1079640 [details]
File: dso_list

Comment 5 Mikhail 2015-10-03 17:25:30 UTC
Created attachment 1079641 [details]
File: environ

Comment 6 Mikhail 2015-10-03 17:25:32 UTC
Created attachment 1079642 [details]
File: limits

Comment 7 Mikhail 2015-10-03 17:25:36 UTC
Created attachment 1079643 [details]
File: maps

Comment 8 Mikhail 2015-10-03 17:25:38 UTC
Created attachment 1079644 [details]
File: mountinfo

Comment 9 Mikhail 2015-10-03 17:25:39 UTC
Created attachment 1079645 [details]
File: namespaces

Comment 10 Mikhail 2015-10-03 17:25:41 UTC
Created attachment 1079646 [details]
File: open_fds

Comment 11 Mikhail 2015-10-03 17:25:42 UTC
Created attachment 1079647 [details]
File: proc_pid_status

Comment 12 Mikhail 2015-10-03 17:25:44 UTC
Created attachment 1079648 [details]
File: var_log_messages

Comment 13 Jirka Klimes 2015-10-22 09:26:42 UTC
Mikhail, do you have any details on how the crash occurred?

Would you paste output of
$ nmcli con show 74e9ea2e-89a8-4f0c-9b70-8c5be75b80c0

Comment 14 Mikhail 2015-10-22 09:43:43 UTC
$ nmcli con show 74e9ea2e-89a8-4f0c-9b70-8c5be75b80c0
connection.id:                          DSL connection 1
connection.uuid:                        74e9ea2e-89a8-4f0c-9b70-8c5be75b80c0
connection.interface-name:              --
connection.type:                        pppoe
connection.autoconnect:                 no
connection.autoconnect-priority:        0
connection.timestamp:                   1443891551
connection.read-only:                   no
connection.permissions:                 
connection.zone:                        --
connection.master:                      --
connection.slave-type:                  --
connection.autoconnect-slaves:          -1 (default)
connection.secondaries:                 
connection.gateway-ping-timeout:        0
connection.metered:                     unknown
802-3-ethernet.port:                    --
802-3-ethernet.speed:                   0
802-3-ethernet.duplex:                  full
802-3-ethernet.auto-negotiate:          yes
802-3-ethernet.mac-address:             --
802-3-ethernet.cloned-mac-address:      --
802-3-ethernet.mac-address-blacklist:   
802-3-ethernet.mtu:                     auto
802-3-ethernet.s390-subchannels:        
802-3-ethernet.s390-nettype:            --
802-3-ethernet.s390-options:            
802-3-ethernet.wake-on-lan:             default
802-3-ethernet.wake-on-lan-password:    --
ipv4.method:                            auto
ipv4.dns:                               
ipv4.dns-search:                        
ipv4.addresses:                         
ipv4.gateway:                           --
ipv4.routes:                            
ipv4.route-metric:                      -1
ipv4.ignore-auto-routes:                no
ipv4.ignore-auto-dns:                   no
ipv4.dhcp-client-id:                    --
ipv4.dhcp-send-hostname:                yes
ipv4.dhcp-hostname:                     --
ipv4.never-default:                     no
ipv4.may-fail:                          yes
ipv6.method:                            auto
ipv6.dns:                               
ipv6.dns-search:                        
ipv6.addresses:                         
ipv6.gateway:                           --
ipv6.routes:                            
ipv6.route-metric:                      -1
ipv6.ignore-auto-routes:                no
ipv6.ignore-auto-dns:                   no
ipv6.never-default:                     no
ipv6.may-fail:                          yes
ipv6.ip6-privacy:                       -1 (unknown)
ipv6.dhcp-send-hostname:                yes
ipv6.dhcp-hostname:                     --
ppp.noauth:                             yes
ppp.refuse-eap:                         no
ppp.refuse-pap:                         no
ppp.refuse-chap:                        no
ppp.refuse-mschap:                      no
ppp.refuse-mschapv2:                    no
ppp.nobsdcomp:                          no
ppp.nodeflate:                          no
ppp.no-vj-comp:                         no
ppp.require-mppe:                       no
ppp.require-mppe-128:                   no
ppp.mppe-stateful:                      no
ppp.crtscts:                            no
ppp.baud:                               0
ppp.mru:                                0
ppp.mtu:                                0
ppp.lcp-echo-failure:                   5
ppp.lcp-echo-interval:                  30
pppoe.service:                          --
pppoe.username:                         163285
pppoe.password:                         <hidden>
pppoe.password-flags:                   0 (none)


Oh I see that is "DSL connection 1". So this occurred when computer was connected to internet without router. 

I described how is not obvious setup pppoe  here: https://bugzilla.redhat.com/show_bug.cgi?id=1268605

And this crash likely occurred when I disconnected the network cable from the router to connect your computer directly to the network provider via switch.

Let me know if you are interested see "nmcli con show 74e9ea2e-89a8-4f0c-9b70-8c5be75b80c0" when pppoe connection is active.

Comment 15 Beniamino Galvani 2016-01-04 14:35:33 UTC
Pushed fix to upstream branch bg/ppp-device-fixes-rh1268617.

Comment 16 Dan Williams 2016-01-05 17:09:42 UTC
LGTM; backport to 1.0 too?

Comment 18 Mike McCune 2016-03-28 22:57:02 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 19 Fedora Update System 2016-04-02 05:25:33 UTC
NetworkManager-1.0.12-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8201e3fefa

Comment 20 Fedora Update System 2016-04-03 17:50:45 UTC
NetworkManager-1.0.12-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.